Debian Bug report logs - #283999
gnumeric: saving a simple spreadsheet doubles its size, can't be reloaded

version graph

Package: gnumeric; Maintainer for gnumeric is Dmitry Smirnov <onlyjob@debian.org>; Source for gnumeric is src:gnumeric.

Reported by: "Kenneth H. Carpenter" <khc@ksu.edu>

Date: Thu, 2 Dec 2004 21:03:07 UTC

Severity: important

Tags: confirmed, patch, upstream

Found in version 1.4.0-1

Fixed in version gnumeric/1.4.0-2

Done: jdassen@debian.org (J.H.M. Dassen (Ray))

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#283999; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to "Kenneth H. Carpenter" <khc@ksu.edu>:
New Bug report received and forwarded. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Kenneth H. Carpenter" <khc@ksu.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnumeric: saving a simple spreadsheet doubles its size, can't be reloaded
Date: Thu, 02 Dec 2004 14:54:59 -0600
Package: gnumeric
Version: 1.4.0-1
Severity: important

loading a small spreadsheet (17 rows by 13 cols) and then
saving it causes the size of the saved .gnumeric file to
be approximately doubled.  Attempting to load the saved file
into gnumeric opens a window with the warning 
"Extra content at the end of the document"
and the resultant sheet is empty, but the title is the same.
This occurred with version 1.3.4 also.
It does not happen with version 1.0.8

This does not happen with all files.  I will upload the before
and after files as attachments to a followup email.

Here is the directory entry of the offending file before loading:
-rw-r--r--  1 khc  users  5478 Dec  2 14:41 b.gnumeric
Here is the directory entry of the file after loading into
gnumeric and using "Save" to overwrite it:
-rw-r--r--  1 khc  users 11132 Dec  2 14:42 b.gnumeric

The original file may be loaded and saved using "Save As"
with file type "original slow exporter" without the increase
in size:
-rw-r--r--  1 khc  users  5478 Dec  2 14:49 b2.gnumeric
Now load and "Save As":
-rw-r--r--  1 khc  users  5478 Dec  2 14:50 b2slowexport.gnumeric
But during the writing of the b2slowexport.gnumeric file, many
error messages saying

** (gnumeric:29159): CRITICAL **: file ../../src/position.c: line 173 (parse_pos_init_sheet): assertion `IS_SHEET (sheet)' failed

are output.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages gnumeric depends on:
ii  gconf2                    2.8.1-4        GNOME configuration database syste
ii  gnumeric-common           1.4.0-1        Common files for Gnumeric, the GNO
ii  gsfonts                   8.14+v8.11-0.1 Fonts for the Ghostscript interpre
ii  libart-2.0-2              2.3.16-6       Library of functions for 2D graphi
ii  libatk1.0-0               1.8.0-3        The ATK accessibility toolkit
ii  libbonobo2-0              2.8.0-3        Bonobo CORBA interfaces library
ii  libbonoboui2-0            2.8.0-2        The Bonobo UI library
ii  libc6                     2.3.2.ds1-18   GNU C Library: Shared libraries an
ii  libgconf2-4               2.8.1-4        GNOME configuration database syste
ii  libglade2-0               1:2.4.0-1      Library to load .glade files at ru
ii  libglib2.0-0              2.4.7-1        The GLib library of C routines
ii  libgnome2-0               2.8.0-5        The GNOME 2 library - runtime file
ii  libgnomecanvas2-0         2.8.0-1        A powerful object-oriented display
ii  libgnomeprint2.2-0        2.8.1-1        The GNOME 2.2 print architecture -
ii  libgnomeprintui2.2-0      2.8.1-1        The GNOME 2.2 print architecture U
ii  libgnomeui-0              2.8.0-3        The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0            2.8.3-6        The GNOME virtual file-system libr
ii  libgsf-1                  1.11.0-1       Structured File Library - runtime 
ii  libgsf-gnome-1            1.11.0-1       Structured File Library - runtime 
ii  libgtk2.0-0               2.4.13-1       The GTK+ graphical user interface 
ii  libice6                   4.3.0.dfsg.1-8 Inter-Client Exchange library
ii  liborbit2                 1:2.10.2-1.1   libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0             1.6.0-3        Layout and rendering of internatio
ii  libpopt0                  1.7-5          lib for parsing cmdline parameters
ii  libsm6                    4.3.0.dfsg.1-8 X Window System Session Management
ii  libxml2                   2.6.11-5       GNOME XML library
ii  xlibs                     4.3.0.dfsg.1-8 X Window System client libraries m
ii  zlib1g                    1:1.2.2-3      compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#283999; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to "Kenneth H. Carpenter" <khc@ksu.edu>:
Extra info received and forwarded to list. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #10 received at 283999@bugs.debian.org (full text, mbox):

From: "Kenneth H. Carpenter" <khc@ksu.edu>
To: 283999@bugs.debian.org
Subject: files related to this bug
Date: Thu, 02 Dec 2004 15:28:47 -0600
[Message part 1 (text/plain, inline)]
Here are the "before" and "after" files.
"b2.gnumeric" is a copy of the file, which when loaded
and saved by gnumeric, results in file "b.gnumeric"

-- 
Kenneth H. Carpenter <khc@ksu.edu>
[b2.gnumeric (application/x-gnumeric, attachment)]
[b.gnumeric (application/x-gnumeric, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#283999; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to 283999@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #15 received at 283999@bugs.debian.org (full text, mbox):

From: "J.H.M. Dassen (Ray)" <jdassen@debian.org>
To: control@bugs.debian.org
Cc: "Kenneth H. Carpenter" <khc@ksu.edu>, 283999@bugs.debian.org
Subject: Re: Bug#283999: gnumeric: saving a simple spreadsheet doubles its size, can't be reloaded
Date: Thu, 2 Dec 2004 22:52:11 +0100
tags 283999 + upstream confirmed patch pending
thanks

On Thu, Dec 02, 2004 at 14:54:59 -0600, Kenneth H. Carpenter wrote:
> loading a small spreadsheet (17 rows by 13 cols) and then
> saving it causes the size of the saved .gnumeric file to
> be approximately doubled.  Attempting to load the saved file
> into gnumeric opens a window with the warning 
> "Extra content at the end of the document"
> and the resultant sheet is empty, but the title is the same.

http://cvs.gnome.org/viewcvs/gnumeric/plugins/xml_sax/xml-sax-write.c?r1=1.26&r2=1.27
http://cvs.gnome.org/viewcvs/gnumeric/plugins/xml_sax/ChangeLog?r1=1.145&r2=1.146
http://cvs.gnome.org/viewcvs/gnumeric/NEWS?r1=1.1693&r2=1.1694

[22:40] <@JHM> jody: http://bugs.debian.org/283999 sounds weird
[22:42] <@jody> JHM: replicated
[22:43] <@jody> JHM: fixed
[22:43] <@JHM> Wow, that's fast.
[22:43] <@Trelane> heh
[22:43] <@Trelane> that's why he's the best.  :)
[22:43] <@jody> JHM: anything with validation will break using sax exporter
[22:44] <@jody> missing close element
[22:45] <@jody> JHM: in cvs
[22:46] <@jody> that is a brown paper bag
[22:46] <@jody> 1.4.1 release tonight
[22:46] <@JHM> I won't have time to package until Saturday unfortunately.
[22:46] <@jody> I've also got a report of an xls import crash with polygon 
                objects
[22:47] <@jody> JHM: no worries, he can work around it by using the dom 
                exporter for now
-- 
Scary piece of history:
`The very first use of Unix in the "real business" of Bell Labs was to type
and produce patent applications'
	Dennis Ritchie in http://cm.bell-labs.com/cm/cs/who/dmr/odd.html



Tags added: upstream, confirmed, patch, pending Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to jdassen@debian.org (J.H.M. Dassen (Ray)):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Kenneth H. Carpenter" <khc@ksu.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 283999-close@bugs.debian.org (full text, mbox):

From: jdassen@debian.org (J.H.M. Dassen (Ray))
To: 283999-close@bugs.debian.org
Subject: Bug#283999: fixed in gnumeric 1.4.0-2
Date: Sat, 04 Dec 2004 08:32:19 -0500
Source: gnumeric
Source-Version: 1.4.0-2

We believe that the bug you reported is fixed in the latest version of
gnumeric, which is due to be installed in the Debian FTP archive:

gnumeric-common_1.4.0-2_all.deb
  to pool/main/g/gnumeric/gnumeric-common_1.4.0-2_all.deb
gnumeric-doc_1.4.0-2_all.deb
  to pool/main/g/gnumeric/gnumeric-doc_1.4.0-2_all.deb
gnumeric-plugins-extra_1.4.0-2_i386.deb
  to pool/main/g/gnumeric/gnumeric-plugins-extra_1.4.0-2_i386.deb
gnumeric_1.4.0-2.diff.gz
  to pool/main/g/gnumeric/gnumeric_1.4.0-2.diff.gz
gnumeric_1.4.0-2.dsc
  to pool/main/g/gnumeric/gnumeric_1.4.0-2.dsc
gnumeric_1.4.0-2_i386.deb
  to pool/main/g/gnumeric/gnumeric_1.4.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 283999@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
J.H.M. Dassen (Ray) <jdassen@debian.org> (supplier of updated gnumeric package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  4 Dec 2004 13:40:33 +0100
Source: gnumeric
Binary: gnumeric-doc gnumeric-common gnumeric gnumeric-plugins-extra
Architecture: source i386 all
Version: 1.4.0-2
Distribution: unstable
Urgency: medium
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Changed-By: J.H.M. Dassen (Ray) <jdassen@debian.org>
Description: 
 gnumeric   - A GNOME spreadsheet application
 gnumeric-common - Common files for Gnumeric, the GNOME spreadsheet application
 gnumeric-doc - Documentation for Gnumeric, the GNOME spreadsheet application
 gnumeric-plugins-extra - Additional plugins for the GNOME spreadsheet
Closes: 283700 283999
Changes: 
 gnumeric (1.4.0-2) unstable; urgency=medium
 .
   * [debian/gnumeric-doc.doc-base] Removed. The documentation is now included
     in DocBook XML format only, and doc-base doesn't handle XML docs.
     (Closes: #283700)
   * [plugins/xml_sax/xml-sax-write.c,plugins/xml_sax/ChangeLog,NEWS] Patch
     from CVS to fix exporting using the sax exporter of sheets with
     validation. (Closes: #283999)
   * [debian/rules] Build the Paradox plugin.
   * [debian/control] Added build dependency on pxlib-dev for the
     Paradox plugin; versioned this build dependency as pxlib 0.4.2-1 was
     broken (see #283067).
   * [debian/gnumeric-plugins-extra.install] Include the Paradox plugin.
Files: 
 78c9d00f6b09598504b696cfd47fa238 1292 math optional gnumeric_1.4.0-2.dsc
 22a27a1cfe097c47bdf9242cd4472614 30190 math optional gnumeric_1.4.0-2.diff.gz
 b969bd6b82995e610dd748d7e5db85d6 4326724 math optional gnumeric-common_1.4.0-2_all.deb
 53d68fa14271da9074bf6e6fb09a749f 4146792 doc optional gnumeric-doc_1.4.0-2_all.deb
 6b170fa706d33e55381d4ed4bde32701 3850460 math optional gnumeric_1.4.0-2_i386.deb
 4205a54af58ac82b0382b571eed5e811 108006 math optional gnumeric-plugins-extra_1.4.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBsbkeA+HB2Re6Rc4RAuVzAJ9HnLmPu6RM2scfNeeQ9rFv+8NZ8wCg11T9
jOxiTFi69ij3Qux1xZwKRx0=
=L4WX
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:28:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.